Nowe posty

Autor Wątek: Problem z plikami rpm  (Przeczytany 2187 razy)

Offline Igor

  • Users
  • Użytkownik
  • **
  • Wiadomości: 76
    • Zobacz profil
Problem z plikami rpm
« dnia: 2006-03-26, 13:45:22 »
Mam dość starego laptopa, 120MHz, 48MB RAM, HDD 800MB
Padł mi w nim FDD a z CD nie da się wystartować. Mogę jednak przepiąć HDD do jakiegoś \\"kontenerowca\\", a także udało mi sie pzrypiąć dysk 3,5\\" z kontenerowca podpinając się pod szynę.

Otóż chciałem zainstalować sobie PLD, jako distro lekkie i w miarę podobno przyjazne, a ponadto dające się odpalić  z jakiegoś mikro nośnika a resztę zainstalczyć s sieci (mam w 1, w porywach do prawie 2mb/s (siedzę z paroma prawie nieobecnymi na 4mb)) lub tez z podpiętego hdd z skopiowanymi z obrazów iso plikami na jednej partycji.

problem się przedstawia następująco:

mam obrazy FDD initdisk_cd.img i initdisk_pcmcia.img. z FDD już nie odpalę bo jest nie do odzysku, a z kontenerowca nie podepnę bo jakieś sygnały ma niestandardowe. czy da się odpaić to powiedzmy mając na HDD wrzuconego DOS\\'a i jakiś exe poleceniem w stylu:
c:>bootuj.exe initdisk.img
???
z góry dzięki

Offline Tomasz Jezierczuk

  • Users
  • Guru
  • *****
  • Wiadomości: 852
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #1 dnia: 2006-03-26, 14:49:56 »
2006-03-26 13:45:22 c64club napisał:

 > powiedzmy mając na HDD wrzuconego DOS\\'a i jakiś exe poleceniem w stylu:
 > c:>bootuj.exe initdisk.img

Zainteresuj sie \\"loadlin\\"

Ps. Pomine zlosliwosci cisnace sie na klawiature...

1. slyszales kiedykolwiek o http://google.pl ?
2. http://rtfm.killfile.pl


Offline Dominik Przyborowski

  • Users
  • Guru
  • *****
  • Wiadomości: 747
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #2 dnia: 2006-03-26, 14:50:52 »
Spróbuj loadlin\\'em

Offline Igor

  • Users
  • Użytkownik
  • **
  • Wiadomości: 76
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #3 dnia: 2006-03-26, 17:23:05 »
zapomniałem kolegom dopisać.
loadlina próbowałem, ale nie mogę wyczaić na całym serwerze FTP (we wszystkich podkatalogach  pliku init ramdysku (initrd.img). Powątpiewam żebym mógł po prostu wziąć sobie ten plik z np. jakiegoś redhata i wrzucić to do katalogu z vmlinuz\\'em od PLD.
z loadlina postawiłem na tym laptoku redhata 5.2

Offline Tomasz Jezierczuk

  • Users
  • Guru
  • *****
  • Wiadomości: 852
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #4 dnia: 2006-03-26, 17:39:22 »
2006-03-26 17:23:05 c64club napisał:

 > loadlina próbowałem, ale nie mogę wyczaić na całym serwerze FTP

zle szukales:
http://google.pl
http://rtfm.killfile.pl

Powiedz mi w takim wypadku albo lepiej nie mow, co to jest?
http://ftp.pld-linux.org/dists/2.0/PLD/i386/PLD/images/

Offline Igor

  • Users
  • Użytkownik
  • **
  • Wiadomości: 76
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #5 dnia: 2006-03-27, 14:18:02 »
2006-03-26 17:39:22 jezior napisał:

> 2006-03-26 17:23:05 c64club napisał:
 >
 >  > loadlina próbowałem, ale nie mogę wyczaić na całym serwerze FTP
 >
 > zle szukales:
 > http://google.pl
 > http://rtfm.killfile.pl
 
nie chodzi o to że nie znalazlem loadlina na ftp, ale że nie umiem znaleźć pliku initrd, bez którego loadlin nie rusza.
drugi plik (vmliuz) mam wyciągnięty z obrazu img dyskietki startowej.

 > http://ftp.pld-linux.org/dists/2.0/PLD/i386/PLD/images/
tam sie znajdują imagi, ale albo coś przeoczyłem albo jeszcze czegos potzreba oprócz pliku *.img(czy plików na nim) i progarmu loadlin.exe.

> > \\"Powiedz mi w takim wypadku albo lepiej nie mow, co to jest?\\"
mozesz wyłożyć mi sens tego zdania?

Offline Dominik Przyborowski

  • Users
  • Guru
  • *****
  • Wiadomości: 747
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #6 dnia: 2006-03-27, 18:24:23 »
2006-03-27 14:18:02 c64club napisał:

 > nie chodzi o to że nie znalazlem loadlina na ftp, ale że nie umiem znaleźć pliku initrd, bez
 > którego loadlin nie rusza.
 > drugi plik (vmliuz) mam wyciągnięty z obrazu img dyskietki startowej.

Jak używać loadlin\\'a masz w pliki README.txt - tam pisze wszystko + loadlin --help. Pomysl i poczytaj a nie nudź ;/

 > > > \\"Powiedz mi w takim wypadku albo lepiej nie mow, co to jest?\\"
 > mozesz wyłożyć mi sens tego zdania?
Gramatyki w szkole widzę, że się nie uczyłeś. Nie ładnie.

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 2
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #7 dnia: 2006-03-26, 12:52:14 »
Czesc wszystkim

Mam problem z instalacja programow z rozszerzeniem rpm. Otoz kiedy uruchamiam dla przykladu kadu.rpm (uzywam Linuxa Slackware 10.2) otwiera mi sie okno "KPackage" i tam wyswietla ze chce zainstalowac kadu. Wybieram opcje "instaluj". Po chwili pojawia sie drugie okno, w ktorym moge odznaczyc zaznaczyc pare rzeczy typu: upgrade, replace files, replace packages. Wybieram ponownie opcje instaluj i wyswietla mi sie takie cos:
rpm -U --replacepkgs  '//root/kadu-0.3.9-1.fc2.i386.rpm';echo RESULT=$?
error: Failed dependencies:
   /bin/sh is needed by kadu-0.3.9-1.fc2
   libX11.so.6 is needed by kadu-0.3.9-1.fc2
   libc.so.6 is needed by kadu-0.3.9-1.fc2
   libc.so.6(GLIBC_2.0) is needed by kadu-0.3.9-1.fc2
   libc.so.6(GLIBC_2.1) is needed by kadu-0.3.9-1.fc2
   libc.so.6(GLIBC_2.1.3) is needed by kadu-0.3.9-1.fc2
   libcrypto.so.4 is needed by kadu-0.3.9-1.fc2
   libdl.so.2 is needed by kadu-0.3.9-1.fc2
   libdl.so.2(GLIBC_2.0) is needed by kadu-0.3.9-1.fc2
   libdl.so.2(GLIBC_2.1) is needed by kadu-0.3.9-1.fc2
   libgcc_s.so.1 is needed by kadu-0.3.9-1.fc2
   libm.so.6 is needed by kadu-0.3.9-1.fc2
   libm.so.6(GLIBC_2.0) is needed by kadu-0.3.9-1.fc2
   libpng12.so.0 is needed by kadu-0.3.9-1.fc2
   libpthread.so.0 is needed by kadu-0.3.9-1.fc2
   libpthread.so.0(GLIBC_2.0) is needed by kadu-0.3.9-1.fc2
   libpthread.so.0(GLIBC_2.1) is needed by kadu-0.3.9-1.fc2
   libqt-mt.so.3 is needed by kadu-0.3.9-1.fc2
   libssl.so.4 is needed by kadu-0.3.9-1.fc2
   libstdc++.so.5 is needed by kadu-0.3.9-1.fc2
   libstdc++.so.5(CXXABI_1.2) is needed by kadu-0.3.9-1.fc2
   libstdc++.so.5(GLIBCPP_3.2) is needed by kadu-0.3.9-1.fc2
RESULT=0
---------------------------------------------------------------------

No i nic sie nie dzieje tak samo jest z kazdym innym plikiem o rozszerzeniu rpm takze plz help.

Offline Tomasz Jezierczuk

  • Users
  • Guru
  • *****
  • Wiadomości: 852
    • Zobacz profil
Problem z plikami rpm
« Odpowiedź #8 dnia: 2006-03-26, 12:56:25 »
2006-03-26 12:52:14 julsky napisał:

> Czesc wszystkim
 >
 > Mam problem z instalacja programow z rozszerzeniem rpm. Otoz kiedy uruchamiam dla przykladu
 > kadu.rpm (uzywam Linuxa Slackware 10.2)

 > No i nic sie nie dzieje tak samo jest z kazdym innym plikiem o rozszerzeniu rpm takze plz help.

No tak to jest jak sie ktos za slacka bierze nie majac o nim pojecia... Nie dosc ze instalujesz rpm to jeszcze rpm z fedora2...

Opamietaj sie i uzywaj natywnych paczek dla slacka czyli tgz